Index: /trunk/psconfig/README
===================================================================
--- /trunk/psconfig/README	(revision 16092)
+++ /trunk/psconfig/README	(revision 16092)
@@ -0,0 +1,18 @@
+
+This directory contains tools for building the IPP, for testing the
+build environment, for building external C libraries and Perl modules,
+for setting up the user's environment, and for building a tarball to
+be distributed to the end users.  
+
+Developer Build vs User Build
+
+Within the IPP code base, there are a few modules which are not
+distributed as part of the tarball.  These include 'glueforge', which
+is used to generate code for interacting with the database;
+'dbconfig', which defines a database layout; and 'ippdb.src', which is
+the raw auto-generated code.  The tarball is instead packaged with a
+version of ippdb for which autogen has been run, and for which there
+is a valid 'configure' script.  As a developer, it is necessary to
+build these packages.  There is a '-developer' option for psbuild
+which builds these packages.
+
Index: unk/psconfig/ckmodule.pl
===================================================================
--- /trunk/psconfig/ckmodule.pl	(revision 16091)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#!/usr/bin/env perl
-
-if (@ARGV != 2) { die "USAGE: ckmodule.pl (module) (version)\n"; }
-
-$x = eval "require $ARGV[0]; 1";
-if (! $x) { 
-    exit 1;
-}
-
-# print "\$$ARGV[0]::VERSION\n";
-
-$version = eval "\$$ARGV[0]::VERSION";
-print "$ARGV[0]: $version\n";
-
-if ($ARGV[1] > $version) {
-    print "$ARGV[0] is too old: have $version : need $ARGV[1]\n";
-    exit 1;
-}
-
-exit 0;
Index: unk/psconfig/notes.txt
===================================================================
--- /trunk/psconfig/notes.txt	(revision 16091)
+++ 	(revision )
@@ -1,34 +1,0 @@
-
-2007.02.28 : cleanup configuration tools
-
-operations we would like to perform with these tools:
-
-tag CVS tree
-build tarball from tagged tree
-build tarball from head
-build and install software in tree
-check for needed external software
-* build and install external software
-check for needed perl modules
-build and install external modules
-
-
-YAML : asks for installation confirmation.  
-
-  should be safe for local installs.  if you use something dependent
-  on YAML 0.50 then you should remove the path from the PERL5LIB
-
-Template : asks about XS and additional files.  we can skip both of these
-
-#!/bin/csh -f
-
-grep use `find .. -name "*.pm"` |\
-     sed "s|::|@@|g" |\
-     awk -F: '{print $2}' |\
-     sed "s|@@|::|g" |\
-     awk -F\; '{print $1}' |\
-     grep -v "\#" |\
-     sed "s|qw(|@|" |\
-     awk -F@ '{print $1}' |\
-     sort | uniq |\
-     grep "^use" > perl.modules.list
Index: /trunk/psconfig/psbuild
===================================================================
--- /trunk/psconfig/psbuild	(revision 16091)
+++ /trunk/psconfig/psbuild	(revision 16092)
@@ -8,4 +8,5 @@
 $rebuild = 0;
 $optimize = 0;
+$developer = 0;
 $start = "";
 $stop = "";
@@ -32,4 +33,8 @@
     if ($ARGV[0] eq "-optimize") {
 	$optimize = 1;
+        shift; next;
+    }
+    if ($ARGV[0] eq "-dev") {
+	$developer = 1;
         shift; next;
     }
@@ -155,5 +160,6 @@
 	$start = "";
 
-	($do_tag, $do_build, $do_package, $do_update) = $mode[$i] =~ m|(\S)(\S)(\S)(\S)|;
+	($do_tag, $do_build, $do_package, $do_update, $dev_build) = $mode[$i] =~ m|(\S)(\S)(\S)(\S)(\S)|;
+	if ($developer) { $do_build = $dev_build; }
 	if ($do_build eq "N") { next; }
 
@@ -192,5 +198,5 @@
 	if ($rebuild && $clean) {
 	    if (-e "configure") { unlink "Makefile"; }
-	    if (-e "configure.ac" && -e "autogen.sh") { unlink "configure"; }
+	    if ($developer && -e "configure.ac" && -e "autogen.sh") { unlink "configure"; }
 	}
 	$rebuild_this = $rebuild;
@@ -201,5 +207,5 @@
 	#  run autogen
 	$skip_configure = 0;
-	if ($rebuild_this && ! -e "configure" && -e "autogen.sh") {
+	if ($developer && $rebuild_this && ! -e "configure" && -e "autogen.sh") {
 	    $skip_configure = 1;
 	    vsystem ("$psautogen $psopts");
@@ -296,9 +302,10 @@
     print STDERR "     : -version (version) : specify alternate psconfig installation version\n";
     print STDERR "     : -clean             : clean the source directories before building\n";
-    print STDERR "     : -rebuild           : run 'autogen' (C code)\n";
+    print STDERR "     : -rebuild           : run 'configure (and autogen for developer)' (C code)\n";
     print STDERR "     : -optimize          : set flags for optimized code\n";
     print STDERR "     : -only (module)     : only build the specified module\n";
     print STDERR "     : -start (module)    : begin build at specified module\n";
     print STDERR "     : -stop (module)     : stop build after specified module\n\n";
+    print STDERR "     : -developer         : build modules not distributed in tarball\n\n";
     print STDERR "     : psbuild -list      : list the available distributions\n";
     print STDERR "     : psbuild -h         : this help listing\n";
Index: /trunk/psconfig/pschecklibs
===================================================================
--- /trunk/psconfig/pschecklibs	(revision 16091)
+++ /trunk/psconfig/pschecklibs	(revision 16092)
@@ -63,7 +63,9 @@
 $mandir      = `csh psconfig.csh --man $version`;         chomp $mandir;
 $incdir      = `csh psconfig.csh --include $version`;     chomp $incdir;
+$prefix      = `csh psconfig.csh --prefix $version`;      chomp $prefix;
+
+$homedir     = `pwd`; chomp $homedir;
+$psconfdir   = `csh psconfig.csh --psconfdir $version`;   chomp $psconfdir;
 $psconfigure = `csh psconfig.csh --psconfigure $version`; chomp $psconfigure;
-$prefix      = `csh psconfig.csh --prefix $version`;      chomp $prefix;
-$homedir     = `pwd`; chomp $homedir;
 
 print "psconfig version: $version\n";
@@ -113,6 +115,6 @@
 print "\n";
 
-if ($build && ! -d $PSCONFDIR) {
-    mkdir $PSCONFDIR || die "unable to create psconfig dir $PSCONFDIR";
+if ($build && ! -d $psconfdir) {
+    mkdir $psconfdir || die "unable to create psconfig dir $psconfdir";
 }
 
@@ -200,12 +202,8 @@
     # build the library using psconfigure, make, make install
     if ($configure_opts eq "NONE") { 
-	if ($use_equals eq "Y") {
-	    vsystem ("configure --prefix=$prefix");
-	} else {
-	    vsystem ("configure --prefix $prefix");
-	}
+	vsystem ("$psconfigure");
     } else {
 	$configure_opts = join (' ', split (',', $configure_opts));
-	vsystem ("configure --prefix=$prefix $configure_opts");
+	vsystem ("$psconfigure $configure_opts");
     }
     if ($?) { &failure($name, "failure in configure"); }
Index: unk/psconfig/pschecklibs.csh
===================================================================
--- /trunk/psconfig/pschecklibs.csh	(revision 16091)
+++ 	(revision )
@@ -1,294 +1,0 @@
-#!/bin/csh -f
-
-# XXX : add needed subdirs (eg, DIR/mysql, DIR/jpeg...)
-# XXX : add -build option
-# XXX : additional override options for certain packages
-# XXX : add pkg-config
-
-# this scripts searches for the needed libraries in standard locations and in the 
-# current psconfig installation tree
-
-set version = ""
-set args = ""
-while ("$1" != "") 
- switch ("$1")
-  case -version:
-   shift
-   set version = $1
-   breaksw
-  case --help:
-   goto usage
-  case -*: 
-   echo ""
-   echo "Unknown option: $1"
-   goto usage
-  default:
-   set args=($args $1);
-   breaksw;
- endsw
- shift
-end
-if ($#args != 1) goto usage
-
-# set supplied PSVERSION
-if ("$version" != "") then
-  setenv PSVERSION $version
-endif
-
-# set install paths for PSVERSION
-set libdir  = `source psconfig.csh --libs $PSVERSION`
-set incdir  = `source psconfig.csh --include $PSVERSION`
-
-# make these directories
-mkdir -p $libdir
-mkdir -p $incdir
-
-# I supplement this list with LIBRARY_PATH below
-set syslibpath = "/lib /usr/lib /usr/X11R6/lib /usr/local/lib "
-set needlibs   = ""
-set needlibs   = "$needlibs png"
-set needlibs   = "$needlibs z"
-set needlibs   = "$needlibs jpeg"
-set needlibs   = "$needlibs readline"
-set needlibs   = "$needlibs X11"
-set needlibs   = "$needlibs pthread"
-set needlibs   = "$needlibs cfitsio"
-set needlibs   = "$needlibs mysqlclient"
-set needlibs   = "$needlibs gsl"
-set needlibs   = "$needlibs xml2"
-set needlibs   = "$needlibs fftw3"
-set needlibs   = "$needlibs fftw3f"
-set needlibs   = "$needlibs m"
-
-# I supplement this list with CPATH below
-set sysincpath = "/usr/include /usr/local/include /usr/X11R6/include "
-set needincs = ""
-set needincs = "$needincs X11/Xatom.h"
-set needincs = "$needincs X11/Xlib.h"
-set needincs = "$needincs X11/Xresource.h"
-set needincs = "$needincs X11/Xutil.h"
-set needincs = "$needincs X11/cursorfont.h"
-set needincs = "$needincs X11/keysym.h"
-set needincs = "$needincs X11/keysymdef.h"
-set needincs = "$needincs arpa/inet.h"
-set needincs = "$needincs assert.h"
-set needincs = "$needincs complex.h"
-set needincs = "$needincs ctype.h"
-set needincs = "$needincs errno.h"
-set needincs = "$needincs fcntl.h"
-set needincs = "$needincs fitsio.h"
-set needincs = "$needincs glob.h"
-set needincs = "$needincs gsl/gsl_randist.h"
-set needincs = "$needincs gsl/gsl_rng.h"
-set needincs = "$needincs inttypes.h"
-set needincs = "$needincs jpeglib.h"
-set needincs = "$needincs limits.h"
-set needincs = "$needincs malloc.h"
-set needincs = "$needincs math.h"
-set needincs = "$needincs memory.h"
-set needincs = "$needincs netdb.h"
-set needincs = "$needincs netinet/ip.h"
-set needincs = "$needincs png.h"
-set needincs = "$needincs pthread.h"
-set needincs = "$needincs readline/history.h"
-set needincs = "$needincs readline/readline.h"
-set needincs = "$needincs regex.h"
-set needincs = "$needincs signal.h"
-set needincs = "$needincs stdint.h"
-set needincs = "$needincs stdio.h"
-set needincs = "$needincs stdlib.h"
-set needincs = "$needincs string.h"
-set needincs = "$needincs sys/ipc.h"
-set needincs = "$needincs sys/resource.h"
-set needincs = "$needincs sys/sem.h"
-set needincs = "$needincs sys/socket.h"
-set needincs = "$needincs sys/stat.h"
-set needincs = "$needincs sys/time.h"
-set needincs = "$needincs sys/types.h"
-set needincs = "$needincs sys/uio.h"
-set needincs = "$needincs sys/un.h"
-set needincs = "$needincs sys/wait.h"
-set needincs = "$needincs time.h"
-set needincs = "$needincs unistd.h"
-set needincs = "$needincs zlib.h"
-
-# XXX need to have options for non-ANSI includes? (ie, varargs.h)
-# set needincs = "$needincs values.h" - this only provides values already defined in limits.h?
-# set needincs = "$needincs libxml/parser.h"
-# set needincs = "$needincs cfuncs.h" - from non-ANSI option in ohana.h
-# set needincs = "$needincs float.h" - is from missing_proto (CFHT)
-# set needincs = "$needincs floatingpoint.h" - is from missing_proto (CFHT)
-# set needincs = "$needincs stdarg.h" - from std includes (in gcc path)
-# set needincs = "$needincs varargs.h" - from std includes (in gcc path)
-# set needincs = "$needincs stdbool.h" - from std includes (in gcc path) ?
-
-# check the hardware architecture:
-set sys=`uname -s` 
-set ranlib = "ranlib"
-set dlltype = "so"
-switch ($sys)
- case IRIX64:
-   set arch="irix";
-   breaksw;
- case SunOS:
-   set ver=`uname -r | awk '{print substr($1,1,1)}'`;
-   if ($ver == 5) then
-     set arch="sol";
-   else 
-     set arch="sun4";
-   endif
-   # sun (at least) seems to need the socket library (linux does not)
-   set syslibpath = "$syslibpath /usr/openwin/lib"
-   set sysincpath = "$sysincpath /usr/openwin/include"
-   set needlibs = "$needlibs libsocket libnsl"
-   set ranlib = "touch"
-   breaksw;
- case Linux:
-   set arch="linux";
-   if (-e /etc/sidious.config) set arch="sid";
-   set mach=`uname -m`
-   if ("$mach" == "x86_64") then
-    set arch="lin64";
-    set syslibpath = "/lib64 /usr/lib64 /usr/X11R6/lib64 $syslibpath"
-   endif
-   breaksw;
- case Darwin:
-   set arch="darwin";
-   set mach=`uname -m`
-   if ("$mach" == "i386") then
-    set arch="darwin_x86";
-   endif
-   set syslibpath = "$syslibpath /sw/lib /usr/local/lib/mysql"
-   set sysincpath = "$sysincpath /sw/include /usr/include/sys"
-   set dlltype = dylib
-   breaksw;
- case HP-UX:
-    set arch="hpux";
-    breaksw;
- default:
-   echo "unknown architecture";
-   exit 1;
-   breaksw;
-endsw
-echo "setting architecture to: $arch" 
-
-# add the LIBRARY_PATH
-if ($?LIBRARY_PATH) then 
-  set libpath = `echo $LIBRARY_PATH | tr ':' ' '`
-else
-  set libpath = ""
-endif
-
-# check for basic libraries
-echo ""
-echo "searching for needed external libraries..."
-set faillibs = ""
-set libflags = ""
-set libdirs  = ""
-set nonomatch
-foreach f ( $needlibs )
-    foreach g ( $libdir $libpath $syslibpath )
-        if (! -e $g) continue
-        set name = $g/lib$f.a
-        if (-e $name[1]) goto got_lib;
-        set name = $g/lib$f.$dlltype
-        if (-e $name[1]) goto got_lib;
-    end
-    # if we find a .so.N without a matching .so, we link this in
-    # the installed libdir
-    foreach g ( $libpath $syslibpath )
-        set name = $g/lib$f.$dlltype*
-        #echo "libname: $name"
-        if (-e $name[1]) then
-          echo "making link to numbered .$dlltype library $libdir/lib$f.$dlltype"
-          ln -s $name[$#name] $libdir/lib$f.$dlltype
-          if ($status) exit 1
-          goto got_lib
-        endif
-    end
-    echo "missing lib$f"
-    set faillibs = "$faillibs lib$f"
-    continue
-got_lib:
-    echo "found lib$f ($name[$#name])"
-end
-
-# we need a curses library; can choose one of the following:
-# check for termcap, curses, etc
-foreach f ( ncurses curses termcap )
-    foreach g ( $libdir $libpath $syslibpath )
-        set name = $g/lib$f.a
-        if (-e $name[1]) goto got_curses;
-        set name = $g/lib$f.$dlltype
-        if (-e $name[1]) goto got_curses;
-    end
-    # if we find a .so.N without a matching .so, we link this in
-    # the installed libdir
-    foreach g ( $libpath $syslibpath )
-        set name = $g/lib$f.$dlltype*
-        if ($#name > 0) then
-          echo "making link to numbers .$dlltype library $libdir/lib$f.$dlltype"
-          ln -s $name[$#name] $libdir/lib$f.$dlltype
-          goto got_curses;
-        endif
-    end
-end
-set faillibs = "$faillibs (ncurses | curses | termcap)"
-echo "missing a valid curses library"
-echo "missing: $faillibs"
-echo "please find one of them and install them in $libdir"
-exit 1
-
-got_curses:
-  echo "found $f ($name[$#name])"
-
-if ("$faillibs" != "") then
-  echo "your installation is missing some important libraries"
-  echo "missing: $faillibs"
-  echo "please find them and install them in $libdir"
-  exit 1
-endif    
-
-# add the CPATH
-if ($?CPATH) then 
-  set incpath = `echo $CPATH | tr ':' ' '`
-else
-  set incpath = ""
-endif
-
-# check for headers
-echo ""
-echo "searching for needed external header files..."
-set failincs = ""
-set incdirs = ""
-foreach f ( $needincs )
-  foreach g ( $incdir $incpath $sysincpath )
-    set name = "$g/$f"
-    if (-e $name) goto got_inc;
-  end
-  echo "missing $f"
-  set failincs = "$failincs $f"
-  continue
-got_inc:
-  echo "found $f ($name)"
-end
-
-if ("$failincs" != "") then
-  echo "your installation is missing some important library headers"
-  echo "please find them and install them in $incdir"
-  exit 1
-endif    
-
-exit 0
-
-usage:
-cat <<EOF
-USAGE: pschecklibs
-
-searches for needed libraries and include files in system and psconfig installation directories
-
-Additional options
-  -h, --help              display this help and exit
-
-EOF
- exit 2;
Index: /trunk/psconfig/pscheckmods
===================================================================
--- /trunk/psconfig/pscheckmods	(revision 16092)
+++ /trunk/psconfig/pscheckmods	(revision 16092)
@@ -0,0 +1,18 @@
+#!/usr/bin/env perl
+
+if (@ARGV != 2) { die "USAGE: pscheckmods (module) (version)\n"; }
+
+$x = eval "require $ARGV[0]; 1";
+if (! $x) { 
+    exit 1;
+}
+
+$version = eval "\$$ARGV[0]::VERSION";
+print "$ARGV[0]: $version\n";
+
+if ($ARGV[1] > $version) {
+    print "$ARGV[0] is too old: have $version : need $ARGV[1]\n";
+    exit 1;
+}
+
+exit 0;
Index: /trunk/psconfig/pscheckperl
===================================================================
--- /trunk/psconfig/pscheckperl	(revision 16091)
+++ /trunk/psconfig/pscheckperl	(revision 16092)
@@ -72,5 +72,5 @@
 
     if ($modver eq "") { $modver = 0; } 
-    system ("ckmodule.pl $module $modver");
+    system ("pscheckmods $module $modver");
     if ($? == 0) { 
 	# print "$module: found\n";
Index: /trunk/psconfig/psconfig.csh
===================================================================
--- /trunk/psconfig/psconfig.csh	(revision 16091)
+++ /trunk/psconfig/psconfig.csh	(revision 16092)
@@ -243,15 +243,18 @@
   endif
 end
+
+## XXX mysql (and others?) are not installed in the correct location: they go into
+## prefix/lib/mysql regardless of configure options
 if ("$PSCONFIG" == "none") then
   if ("$newpath" == "") then
     unsetenv CPATH
   else
-    setenv CPATH {$newpath}
-  endif 
-else
-  if ("$newpath" == "") then
-    setenv CPATH {$incdir}:
-  else
-    setenv CPATH {$incdir}:{$newpath}
+    setenv CPATH {$newpath}:
+  endif 
+else
+  if ("$newpath" == "") then
+    setenv CPATH {$incdir}:{$PSCONFDIR}/{$PSCONFIG}/include/mysql:
+  else
+    setenv CPATH {$incdir}:{$PSCONFDIR}/{$PSCONFIG}/include/mysql:{$newpath}:
   endif 
 endif 
@@ -270,4 +273,7 @@
   endif
 end
+
+## XXX mysql (and others?) are not installed in the correct location: they go into
+## prefix/lib/mysql regardless of configure options
 if ("$PSCONFIG" == "none") then
   if ("$newpath" == "") then
@@ -275,14 +281,14 @@
     unsetenv LIBRARY_PATH
   else
-    setenv LD_LIBRARY_PATH {$newpath}
-    setenv LIBRARY_PATH {$newpath}
-  endif 
-else
-  if ("$newpath" == "") then
-    setenv LD_LIBRARY_PATH {$libdir}:
-    setenv LIBRARY_PATH {$libdir}:
-  else
-    setenv LD_LIBRARY_PATH {$libdir}:{$newpath}
-    setenv LIBRARY_PATH {$libdir}:{$newpath}
+    setenv LD_LIBRARY_PATH {$newpath}:
+    setenv LIBRARY_PATH {$newpath}:
+  endif 
+else
+  if ("$newpath" == "") then
+    setenv LD_LIBRARY_PATH {$libdir}:{$PSCONFDIR}/{$PSCONFIG}/lib/mysql:
+    setenv LIBRARY_PATH {$libdir}:{$PSCONFDIR}/{$PSCONFIG}/lib/mysql:
+  else
+    setenv LD_LIBRARY_PATH {$libdir}:{$PSCONFDIR}/{$PSCONFIG}/lib/mysql:{$newpath}:
+    setenv LIBRARY_PATH {$libdir}:{$PSCONFDIR}/{$PSCONFIG}/lib/mysql:{$newpath}:
   endif 
 endif 
@@ -312,8 +318,6 @@
   if ("$newpath" == "") then
     setenv PERL5LIB {$plibdir}:
-    # setenv PERL5LIB {$plibdir}:{$plib5dir}:
   else
     setenv PERL5LIB {$plibdir}:{$newpath}
-    # setenv PERL5LIB {$plibdir}:{$plib5dir}:{$newpath}
   endif 
 endif 
Index: /trunk/psconfig/tagsets/ipp-2.4.dist
===================================================================
--- /trunk/psconfig/tagsets/ipp-2.4.dist	(revision 16091)
+++ /trunk/psconfig/tagsets/ipp-2.4.dist	(revision 16092)
@@ -3,65 +3,67 @@
 # ||-- build?
 # |||-- package? 
-# ||||-- update?
-# ||||
-# ||||  CVS module             CVS branch tag   CVS branch version   
-# |||| 
-  NYNN  Ohana
-  NNYY  ohana.base     	       ipp-2-4  	-0
-  NNYY  libohana       	       ipp-2-4  	-0
-  NNYY  libfits        	       ipp-2-4  	-0
-  NNYY  libautocode    	       ipp-2-4  	-0
-  NNYY  libdvo         	       ipp-2-4  	-0
-  NNYY  libkapa        	       ipp-2-4  	-0
-  NNYY  libtap.ohana   	       ipp-2-4  	-0
-  NNYY  addstar        	       ipp-2-4  	-0
-  NNYY  delstar        	       ipp-2-4  	-0
-  NNYY  getstar        	       ipp-2-4  	-0
-  NNYY  ohana.tools    	       ipp-2-4  	-0
-  NNYY  kapa2          	       ipp-2-4  	-0
-  NNYY  relphot        	       ipp-2-4  	-0
-  NNYY  relastro       	       ipp-2-4  	-0
-  NNYY  uniphot        	       ipp-2-4  	-0
-  NNYY  opihi.base     	       ipp-2-4  	-0
-  NNYY  mana           	       ipp-2-4  	-0
-  NNYY  dvo            	       ipp-2-4  	-0
-  NNYY  pantasks       	       ipp-2-4  	-0
-  NNYY  pcontrol       	       ipp-2-4  	-0
-  NNYY  pclient        	       ipp-2-4  	-0      
-
-  NYNN  Nebulous/nebclient     ipp-2-4   	-0
-  YYYN  Nebulous               ipp-2-4   	-0
-  YYYY  PS-IPP-Metadata-Config ipp-2-4   	-0
-  YYYY  PS-IPP-Config  	       ipp-2-4   	-0     
-
-  NYYY  psLib          	       ipp-2-4          -0
-  NYYY  psModules      	       ipp-2-4          -0
-  YYYY  psphot         	       ipp-2-4          -0
-  YYYY  psastro        	       ipp-2-4          -0
-  YYYY  ppStats        	       ipp-2-4          -0
-  YYYY  ppConfigDump   	       ipp-2-4          -0
-  YYYY  ppImage        	       ipp-2-4          -0
-  YYYY  ppNorm         	       ipp-2-4          -0
-  YYYY  ppMerge        	       ipp-2-4          -0
-  YYYY  pedestal       	       ipp-2-4          -0
-  YYYY  dvoTools       	       ipp-2-4          -0
-  YYYY  pswarp         	       ipp-2-4          -0
-  YYYY  ppArith        	       ipp-2-4          -0
-  YYYY  ppStack        	       ipp-2-4          -0
-  YYYY  ppSub          	       ipp-2-4          -0
-  YYYY  ppSim        	       ipp-2-4          -0
-  YNYY  ppstamp        	       ipp-2-4          -0
-
-  YYYY  glueforge      	       ipp-2-4          -0
-  YYYY  dbconfig       	       ipp-2-4          -0
-  NYNN  ippdb.src      	       		      
-  YYYY  ippTools       	       ipp-2-4          -0
-  YYYY  ippScripts     	       ipp-2-4          -0
-  YYYY  ippTasks       	       ipp-2-4          -0
-
-  YYYY  ippconfig      	       ipp-2-4          -0
-  YYYY  simtest        	       ipp-2-4          -0
-  YNYY  psconfig       	       ipp-2-4          -0
-  YNYY  ippMonitor     	       ipp-2-4          -0
+# ||||-- update directory from CVS?
+# |||||-- build for developer?
+# |||||
+# |||||  CVS module             CVS branch tag   CVS branch version   
+# ||||| 
+  NYNNY  Ohana
+  NNYYN  ohana.base             ipp-2-4          -0
+  NNYYN  libohana               ipp-2-4          -0
+  NNYYN  libfits                ipp-2-4          -0
+  NNYYN  libautocode            ipp-2-4          -0
+  NNYYN  libdvo                 ipp-2-4          -0
+  NNYYN  libkapa                ipp-2-4          -0
+  NNYYN  libtap.ohana           ipp-2-4          -0
+  NNYYN  addstar                ipp-2-4          -0
+  NNYYN  delstar                ipp-2-4          -0
+  NNYYN  getstar                ipp-2-4          -0
+  NNYYN  ohana.tools            ipp-2-4          -0
+  NNYYN  kapa2                  ipp-2-4          -0
+  NNYYN  relphot                ipp-2-4          -0
+  NNYYN  relastro               ipp-2-4          -0
+  NNYYN  uniphot                ipp-2-4          -0
+  NNYYN  opihi.base             ipp-2-4          -0
+  NNYYN  mana                   ipp-2-4          -0
+  NNYYN  dvo                    ipp-2-4          -0
+  NNYYN  pantasks               ipp-2-4          -0
+  NNYYN  pcontrol               ipp-2-4          -0
+  NNYYN  pclient                ipp-2-4          -0      
+          
+  NYNNY  Nebulous/nebclient     ipp-2-4          -0
+  YYYNY  Nebulous               ipp-2-4          -0
+  YYYYY  PS-IPP-Metadata-Config ipp-2-4          -0
+  YYYYY  PS-IPP-Config          ipp-2-4          -0     
+          
+  NYYYY  psLib                  ipp-2-4          -0
+  NYYYY  psModules              ipp-2-4          -0
+  YYYYY  psphot                 ipp-2-4          -0
+  YYYYY  psastro                ipp-2-4          -0
+  YYYYY  ppStats                ipp-2-4          -0
+  YYYYY  ppConfigDump           ipp-2-4          -0
+  YYYYY  ppImage                ipp-2-4          -0
+  YYYYY  ppNorm                 ipp-2-4          -0
+  YYYYY  ppMerge                ipp-2-4          -0
+  YYYYY  pedestal               ipp-2-4          -0
+  YYYYY  dvoTools               ipp-2-4          -0
+  YYYYY  pswarp                 ipp-2-4          -0
+  YYYYY  ppArith                ipp-2-4          -0
+  YYYYY  ppStack                ipp-2-4          -0
+  YYYYY  ppSub                  ipp-2-4          -0
+  YYYYY  ppSim                  ipp-2-4          -0
+  YNYYN  ppstamp                ipp-2-4          -0
+          
+  YNNYY  glueforge              ipp-2-4          -0
+  YNNYY  dbconfig               ipp-2-4          -0
+  NNNNY  ippdb.src             
+  NYYNN  ippdb                  ipp-2-4          -0
+  YYYYY  ippTools               ipp-2-4          -0
+  YYYYY  ippScripts             ipp-2-4          -0
+  YYYYY  ippTasks               ipp-2-4          -0
+          
+  YYYYY  ippconfig              ipp-2-4          -0
+  YYYYY  simtest                ipp-2-4          -0
+  YNYYN  psconfig               ipp-2-4          -0
+  YNYYN  ippMonitor             ipp-2-4          -0
 
 # there are externally required C libraries and perl modules (see INSTALL)
Index: /trunk/psconfig/tagsets/ipp-2.4.libs
===================================================================
--- /trunk/psconfig/tagsets/ipp-2.4.libs	(revision 16091)
+++ /trunk/psconfig/tagsets/ipp-2.4.libs	(revision 16092)
@@ -24,5 +24,5 @@
 lib libz                 NONE           NONE   zlib-1.2.3.tar.gz        zlib-1.2.3       Y --shared NONE NONE
 lib libpng               NONE           NONE   libpng-1.2.15.tar.gz     libpng-1.2.15    Y NONE NONE NONE
-lib libjpeg              NONE           jpeg   jpegsrc.v6b.tar.gz       jpeg-6b          Y NONE NONE install-lib
+lib libjpeg              NONE           jpeg   jpegsrc.v6b.tar.gz       jpeg-6b          Y --enable-shared NONE install-lib
 # lib libcfitsio         NONE           NONE   cfitsio2510.tar.gz       cfitsio          Y NONE NONE NONE
 lib libcfitsio           NONE           NONE   cfitsio3060.tar.gz       cfitsio          Y NONE NONE NONE
@@ -30,4 +30,6 @@
 lib libgsl               NONE           NONE   gsl-1.6.tar.gz           gsl-1.6          Y NONE NONE NONE
 lib libfftw3f            NONE           NONE   fftw-3.0.1.tar.gz        fftw-3.0.1       Y --enable-float,--enable-shared,--disable-fortran NONE NONE
+# lib libfftw3             NONE           NONE   fftw-3.0.1.tar.gz        fftw-3.0.1       Y --enable-shared,--disable-fortran NONE NONE
+# paul claims we are not currently using double-point FFTs anywhere
 
 bin pkg-config           NONE           NONE   pkg-config-0.22.tar.gz   pkg-config-0.22  Y NONE NONE NONE
